<div class="dropdown">
  <div
    class="dropdown-list-item dropdown-title"
    [ngClass]="{ open: isOpen, continue: isContinue }"
    (click)="toggleDropdown()"
    (focusout)="closeDropdown()"
  >
    <span
      *ngIf="current.label"
      class="label"
      [ngStyle]="{ 'background-color': current.label }"
    ></span>
    {{ current.value }}
    <div class="dropdown-icon">▶</div>
  </div>

  <div class="dropdown-list" *ngIf="list" [ngClass]="{ open: isOpen }">
    <div
      (click)="chooseItem($event.target.innerText)"
      *ngFor="let item of list"
      class="dropdown-list-item"
    >
      <span
        *ngIf="item.label"
        class="label"
        [ngStyle]="{ 'background-color': item.label }"
      ></span>
      {{ item.value || item }}
    </div>
  </div>
</div>
